<?php
/****************************************************************************

YOUR SETTINGS GO HERE...

The most important are...
 * CONTEST_EMAIL - set the email address to be used for contest entries.
 * CONTEST_SECRET - change this to ensure others cannot view contest entries.
 * CONTEST_TITLE - a title for the contest (e.g. "Summer Coloring Contest")
 * CONTEST_START - start date of contest
 * CONTEST_END - end date of contest

You may also want to tweak the styles in the css files to suit your site 
appearance.

 ****************************************************************************/

// Enter YOUR email here for contest entry notifications. To send to more 
// than one email address include additional addresses separated by commas.
define("CONTEST_EMAIL", "your email here");
// Subject line of contest email
define("CONTEST_SUBJECT", "New Contest Entry");

// Create a "secret" string which is used for viewing the contest entries.
// This is to help prevent someone hacking the activation link.
// Enter whatever string you like. It doesn't have to be something you can
// remember it's only used by the code, and within the activation link.
// It is recommended that you make it at least 8 characters long and include
// Upper and lower-case letters, numbers, and symbols.
define("CONTEST_SECRET", "Hs5_dyc7");

// Enter a title for your contest
define("CONTEST_TITLE", "Example Coloring Book: Coloring Contest");

// Set a start and end date for the contest.
// Contest runs from 0:00 on start date, to 23:59:59 on end date.
define("CONTEST_START", "1 Jan 2012");
define("CONTEST_END", "31 Jan 2012");

// Timezone used for contest dates
// For international contests UTC (GMT) is recommended. Otherwise you can choose a local TZ.
define("TIMEZONE", "UTC");

// Field labels for form. Set the label to null to exclude the field
define("FLD_PERSON", "Name");
define("FLD_EMAIL", "Email");
define("FLD_AGE", "Age");
define("FLD_LOC", "Location");
define("FLD_DESC", "Comment");
define("FLD_TERMS", "Agree");
define("FLD_IP", "IP address");

// Default values for fields
define("DEF_PERSON", "");
define("DEF_EMAIL", "");
define("DEF_AGE", "");
define("DEF_LOC", "");
define("DEF_DESC", "");

// Button text for contest entry
define("ACT_ENTER", "Enter Contest");

// Define the size you want to use for thumbnails. Thumbnails are scaled to fit
// within this size. Aspect ratio is maintained.
define("THUMBNAIL_WIDTH", 160);
define("THUMBNAIL_HEIGHT", 160);

// Number of pictures shown per page.
define("PAGE_SIZE", 20);

// Field names passed by form / used in data
// (DON'T change these unless you REALLY know what you are doing)
define("FN_KEY", "key");
define("FN_PERSON", "person");
define("FN_EMAIL", "email");
define("FN_LOC", "loc");
define("FN_AGE", "age");
define("FN_DESC", "desc");
define("FN_TERMS", "terms");
define("FN_IMGW", "imgw");
define("FN_IMGH", "imgh");
define("FN_TNW", "tnw");
define("FN_TNH", "tnh");
define("FN_DATE", "date");
define("FN_IP", "ip");

// Folder names (be sure to include trailing /).
define("DIR_TRASH", "trash");
define("DIR_QUEUE", "queue");
define("DIR_ENTRY", "entry");

/****************************************************************************

END OF YOUR SETTINGS

 ****************************************************************************/

define("ACT_SAVE", "Save");
define("ACT_ACCEPT", "Accept");
define("ACT_DELETE", "Delete");
define("ACT_REQUEUE", "Put in Queue");
define("ACT_QUEUE", "Show Queue");
define("ACT_ENTRIES", "Show Entries");
define("ACT_TRASH", "Show Trash");
define("ACT_DOWNLOAD", "Download All");

$actdir = array(
    ACT_ENTRIES => DIR_ENTRY,
    ACT_QUEUE => DIR_QUEUE,
    ACT_TRASH => DIR_TRASH
);

$dirtitle = array(
    DIR_ENTRY => "Accepted Entries",
    DIR_QUEUE => "Moderation Queue",
    DIR_TRASH => "Trash"
);

$tz = new DateTimeZone(TIMEZONE);
$now = new DateTime("now", $tz);
$dtStart = new DateTime(CONTEST_START, $tz);
$dtEnd = new DateTime(CONTEST_END, $tz);
$dtEnd->setTime(23, 59, 59);

define("FMT_DATE_FULL", "l, jS F Y");
define("DATE_RANGE", "from ".$dtStart->format(FMT_DATE_FULL)." to ".$dtEnd->format(FMT_DATE_FULL));

define("STATUS_NOTSTARTED", "Not Started");
define("STATUS_RUNNING", "Running");
define("STATUS_ENDED", "Ended");

if ($now < $dtStart) {
    define("STATUS", STATUS_NOTSTARTED);
} else if ($now > $dtEnd) {
    define("STATUS", STATUS_ENDED);
} else {
    define("STATUS", STATUS_RUNNING);
}

?>